H3C / HPE Intelligent Management Center PLAT < 7.3 E0605P06 Multiple Vulnerabilities

Critical Nessus Plugin ID 119501

Synopsis

A network management application installed on the remote host is affected by multiple vulnerabilities.

Description

The version of HPE Intelligent Management Center (iMC) PLAT installed on the remote host is prior to 7.3 E0605P06. It is, therefore, affected by multiple vulnerabilities :

- A stack-based buffer overflow condition exists in the dbman process due to improper validation of the length of user-supplied data when decrypting a request message. An unauthenticated, remote attacker can exploit this, via a specially crafted request, to cause a denial of service condition or the execution of arbitrary code. (CVE-2018-7114)

- A stack-based buffer overflow condition exists in the dbman process due to improper validation of the length of user-supplied data when writing the data to a debug log. An unauthenticated, remote attacker can exploit this, via a specially crafted request, to cause a denial of service condition or the execution of arbitrary code. (CVE-2018-7115)

- A denial of service (DoS) vulnerability exists in the dbman process due to improper validation of the length of user-supplied data when processing an AsnPlatManualRestoreReqContent ASN.1 message. An unauthenticated, remote attacker can exploit this, via a specially crafted request, to cause the process to terminate and restart. (CVE-2018-7116)

Note that Intelligent Management Center (iMC) is an HPE product;
however, it is branded as H3C.

Solution

Upgrade to H3C / HPE iMC version 7.3 E0605P06 or later.

See Also

http://www.nessus.org/u?633d9824

Plugin Details

Severity: Critical

ID: 119501

File Name: hp_imc_73_e0605p06.nasl

Version: 1.1

Type: remote

Family: Misc.

Published: 2018/12/10

Updated: 2018/12/10

Dependencies: 54998

Risk Information

Risk Factor: Critical

CVSS Score Source: CVE-2018-7114

CVSS v2.0

Base Score: 10

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

CVSS v3.0

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: cpe:/a:hp:intelligent_management_center

Patch Publication Date: 2018/11/29

Vulnerability Publication Date: 2018/11/29

Reference Information

CVE: CVE-2018-7114, CVE-2018-7115, CVE-2018-7116